function prioritet

m=2147483647;
a=630360016;
e(1)=1584371;
for i=1:1000
e(i+1)=mod(a*e(i),m);
end;
for i=1:1000
S(i)=gen4(e(i));
end;
S'
m=6;
ma=max(S)
mi=min(S)
dx=(ma-mi)/m;
dx=ceil(dx);

int(1)=dx;
for i=1:m
   int(i+1)=int(i)+dx;
end;

data=S;
intervals=int
count=histc(data,intervals)

bar(intervals,count);
